'use strict';

var suite = require('../../utils/suite.js');
var service = require('./service.js');
var add = require('./add.js');
var ls = require('./ls.js');
var rm = require('./rm.js');
var rmAll = require('./rm-all.js');

const tests = {
  service: service.testService,
  add: add.testAdd,
  ls: ls.testLs,
  rm: rm.testRm,
  rmAll: rmAll.testRmAll
};
var testRemote = suite.createSuite(tests, 'pin');

module.exports = testRemote;
